std::basic_istringstream::operator=(3)

NAME
std::basic_istringstream::operator= - std::basic_istringstream::operator=

Synopsis
   basic_istringstream& operator=( basic_istringstream&& other ); (since C++11)
   Move assigns the string stream other to *this, effectively move-assigning both the
   std::basic_istream base class and the associated std::basic_stringbuf.
   Note that the base class move assignment swaps all stream state variables (except
   for rdbuf) between *this and other.

Parameters
   other - string stream to move from

Return value
   *this

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two string streams
   (C++11) (public member function)
   operator= assigns a basic_stringbuf object
   (C++11) (public member function of std::basic_stringbuf<CharT,Traits,Allocator>)
   operator= move-assigns from another basic_istream
   (C++11) (protected member function)